1. General API
SHASHAT COEX API
  • API Instructions
  • Error Codes
  • Contents
    • General API
      • Retrieve Screen Information
        GET
      • Set Screen Brightness
        PUT
      • Set Screen Gamma
        PUT
      • Set Blackout/Freeze Screen
        PUT
      • Retrieve Preset Information
        GET
      • Apply Preset
        POST
      • Retrieve All Cabinet Information
        GET
      • Enable Cabinet Mapping
        PUT
      • Adjust Cabinet Color Temperature
        PUT
      • Switch Source for Layer
        PUT
      • Configure EDID
        PUT
      • Retrieve Real-Time Monitoring Information
        GET
    • Input
      • Internal sources
        • Set Internal Source Information
        • Set Sending Card Test Pattern
      • Retrieve Input Information
        • Retrieve Input Source Info
        • Retrieve Input Data
      • Color Adjustment
        • Set Red Shadow
        • Set Red Highlight
        • Reset Color Adjustment
        • Set Saturation
        • Adjust Hue
        • Set Green Shadow
        • Set Green Highlight
        • Set Blue Shadow
        • Set Blue Highlight
        • Set Contrast
        • Set Black Level
      • Set HDR Mode
        • Set HDR Mode
      • EDID
        • Set EDID
    • Screen
      • Image
        • Color Gamut
          • Set Custom Gamut on a Screen-Basis
          • Switch Color Gamut
        • Set Screen Color Temperature
        • Retrieve Screen Display Effect Parameters
        • Set Brightness Limit On/Off
        • Set Custom Gamma for the Screen
        • Set Brightness Limit Value
        • Set Screen Color Temperature
        • Set Screen Brightness
        • Set Screen Gamma
      • Schedule
        • Retrieve All Schedule Information of the Screens
        • Set Schedule On\Off
        • Delete Brightness Strategy
      • Color Correction
        • Set Color Correction On/Off
        • Set Color Correction Data (Black/White)
        • Set Color Correction Data (Other Colors)
      • Process
        • 3D LUT
          • Import 3D LUT File
          • Delete 3D LUT File
          • Set 3D LUT Strength
          • Enable 3D LUT
      • Canvas
        • Canvas Mapping
      • Preset
        • Modify Preset
        • Retrieve Preset Information
        • Apply Preset
      • Output
        • 3D
          • 3D Emitter
            • Enable 3D Emitter
          • Enable/Disable 3D
        • Retrieve Output Parameters
          • Retrieve Screen Output Data
        • Display Mode
          • Set Blackout/Freeze Screen
        • Multi-Mode
          • Set Multi-mode by Screens
        • Retrieve Display Status
        • Set Output Bit Depth
        • Output Sync Source Switching
      • Layer
        • Switch Source for Layer
      • Retrieve the Number of Cabinets of the Screen
      • Retrieve Screen Properties Information
      • Retrieve Screen Information
    • Device
      • Audio
        • Set Output Audio
        • Retrieve Audio Settings
      • Controller Identify
        • Controller Identify
      • Device Backup
        • Retrieve Device Backup Status
        • Primary/Backup Verify
      • Logs
        • Export Log
      • Controller Time
        • Set System Time
        • Automatic Time Setting On/Off
        • Change the time zone
      • Controller Name
        • Change Controller Name
      • SNMP
        • Retrieve SNMP On/Off Status
        • Set SNMP On/Off
      • Multifunction Card
        • Retrieve Multifunction Card Information
      • Device Identify
        • Device Identify
      • Monitoring
        • Retrieve Real-Time Monitoring Information
      • Retrieve Device Information
      • Set Blackout/Freeze Screen
    • Cabinet
      • Pre-stored Image
        • Set No Data Signal
      • Thermal Calibration
        • Set Thermal Compensation On/Off
        • Thermal Compensation Intensity Adjustment
        • Set Thermal Compensation Mode
      • Brightness Adjustment
        • Set Cabinet RGB Brightness
        • Set Cabinet Brightness
      • Cabinet Display Control
        • Set Receiving Card Test Pattern
      • Multi-Mode
        • Set Multi-mode by Cabinets
      • Configure Cabinet Topology
        • Move Cabinet
      • Adjust Color Temperature
        • Adjust Cabinet Color Temperature
      • Cabinet Identify
        • Enable Cabinet Mapping
      • Set Cabinet RGBW Brightness Components
      • Retrieve All Cabinet Information
  1. General API

Retrieve Real-Time Monitoring Information

GET
/api/v1/device/monitor/info
TIP
Retrieve the monitoring information of the device, including the card temperature, voltage, fan speed, etc.

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/device/monitor/info?isNeedCabinetInfo=' \
--header 'Device-Key: 10.40.41.200:8001'

Responses

🟢200Successful
application/json
Bodyapplication/json

Example
{
    "code": 0,
    "data": {
        "name": "string",
        "runtime": 0,
        "totalRuntime": 0,
        "backupStatus": 0,
        "mainBoardTemperature": {
            "value": 0,
            "status": 0
        },
        "mainBoardVoltage": {
            "value": 0,
            "status": 0
        },
        "fanInfos": [
            {
                "fanSpeed": 0,
                "fanType": 0,
                "status": 0
            }
        ],
        "voltageInfos": [
            {
                "voltage": null,
                "voltageType": null,
                "status": null
            }
        ],
        "temperatureInfos": [
            {
                "temperature": null,
                "temperatureType": null,
                "status": null
            }
        ],
        "cabinetPowerNumber": 0,
        "controllerPortMonitorInfos": [
            {
                "controllerPortID": 0,
                "status": 0
            }
        ],
        "cardMonitorInfo": [
            {
                "cardID": 0,
                "cardType": 0,
                "status": 0,
                "cardTemperatureInfos": [
                    {
                        "temperature": 0,
                        "temperatureType": 0
                    }
                ],
                "cardVoltageInfos": [
                    {
                        "voltage": 0,
                        "voltageType": 0
                    }
                ]
            }
        ],
        "screenSourceStatus": [
            {
                "portID": 0,
                "status": 0,
                "inputCardID": 0
            }
        ],
        "outputStatus": [
            {
                "outputID": 0,
                "type": 0,
                "status": 0,
                "outputCardID": 0
            }
        ],
        "cabinets": [
            {
                "CabinetID": 0,
                "rvCardID": 0,
                "outPutID": 0,
                "index": 0,
                "temperature": {
                    "value": 0,
                    "status": 0
                },
                "voltage": {
                    "value": 0,
                    "status": 0
                },
                "rvCards": [
                    {
                        "cabinetID": 0,
                        "rvCardID": 0,
                        "netPortIndex": 0,
                        "cabinetIndex": 0,
                        "runtime": 0,
                        "totalRuntime": 0,
                        "temperature": {
                            "value": 0,
                            "status": 0
                        },
                        "voltage": {
                            "value": 0,
                            "status": 0
                        },
                        "humidity": {
                            "value": 0,
                            "status": 0
                        },
                        "errorBit": [
                            {
                                "value": 0,
                                "type": 0,
                                "status": 0
                            }
                        ],
                        "backupStatus": {
                            "mode": 0,
                            "status": 0
                        },
                        "nextCabinetLinkStatus": {
                            "linkStatus": true,
                            "status": 0
                        },
                        "moduleInfos": [
                            {
                                "moduleIndex": "string",
                                "temperature": {
                                    "value": 0,
                                    "status": 0
                                },
                                "voltage": {
                                    "value": 0,
                                    "status": 0
                                }
                            }
                        ]
                    }
                ],
                "powerInfo": [
                    {
                        "number": 0,
                        "status": 0
                    }
                ]
            }
        ],
        "rvCardsRuntime": [
            {
                "cabinetID": 0,
                "rvCardID": 0,
                "runtime": null,
                "totalRuntime": null
            }
        ],
        "screenRunTime": 0
    },
    "message": "string"
}
Modified at 2026-07-20 06:49:13
Previous
Configure EDID
Next
Set Internal Source Information
Built with